CMIRRORD(8)

NAME
cmirrord — cluster mirror log daemon

SYNOPSIS
cmirrord [-f] [-h]

DESCRIPTION
cmirrord is the daemon that tracks mirror log information in a cluster. It is specific to device-mapper based mirrors (and by extension, LVM cluster mirrors). Cluster mirrors are not possible without this daemon running. This daemon relies on the cluster infrastructure provided by the Cluster MANager (CMAN), which must be set up and running in order for cmirrord to function. (The cluster infrastructure is also required for clvmd(8).) Output is logged via syslog(3). The SIGUSR1 signal(7) can be issued to cmirrord to gather current status information for debugging purposes. Once started, cmirrord will run until it is shutdown via SIGINT signal. If there are still active cluster mirrors, however, the signal will be ignored. Active cluster mirrors should be shutdown before stopping the cluster mirror log daemon.

OPTIONS

-f, --foreground
    Do not fork and log to the terminal.

-h, --help
    Print usage.

SEE ALSO
syslog(3), cluster.conf(5), signal(7), clvmd(8), lvm(8)